/*
#Copyright 2006 DR0ID <dr0id@bluewin.ch> http://mypage.bluewin.ch/DR0ID
#
#
#
"""
#TODO: documentation!
"""

__author__ = "$Author: DR0ID $"
__version__= "$Revision: 55 $"
__date__   = "$Date: 2006-09-09 16:08:42 +0200 (Sa, 09 Sep 2006) $"

*/



#include "bmpeople.inc"
#include "bm_pose.inc"

#local wpos = <-1.5,0,-5>;
#local bpos = <0,0,-4>;
#local apos = <3,0,-5>;


#local dv = <0,-0.5,0>;

/** camera & light ****************************************/

camera {location <0, 0,-12> look_at <0,0,0> right x*2./3.  }

light_source{<-200,200,-200> rgb <1,.9,.5> }      
light_source{< 400,400,-200> rgb <.2,.4,.8> shadowless }
light_source{<-200,200,-200> rgb .7         shadowless }
light_source{< 100, 50,-150> rgb .5         shadowless }
light_source{< 100,-50,-150> rgb .3         shadowless }
light_source{<-100,-50,-150> rgb .1         shadowless }

/** Pose ****************************************/



//#declare BM_PoseNo=0;




#declare BM_Head_Rot   = <0,0,0>; // x = Head position Front to Back 
                                  // y = Head rotation Left to Right
                                  // z = Head position Right Side to Left Side

/****************************************************************
 Torso Settings
   Arm Rotation Vectors <X,Y,Z> 
   <0,0,0> is pointing straight down
   X= Back(-) to Front(+)
   Y= Twist Left(-), Right (+)
   Z= Side to Side Lift Right(-), Left(+)
*****************************************************************/

#declare BM_Neck_Rot = <0,0,0>;   // Rotation vector for the neck (Note: "y" is not used)
#declare BM_Torso_Rot= <0,0,0>;   // Rotation vector for the Upper Torso 

#declare BM_RA_S2E   = <0,0,0>;  // Right Upperarm
#declare BM_RA_E2W   = <0,0,0>;  // Right Forearm
#declare BM_RH_Rot   = <0,0,0>;  // Right Hand

#declare BM_LA_S2E   = <0,0,0>;  // Left Upperarm
#declare BM_LA_E2W   = <0,0,0>;  // Left Forearm
#declare BM_LH_Rot   = <0,0,0>;  // Left Hand

#declare BM_RL_H2K   = <0,0,-10>;  // Right Thigh
#declare BM_RL_K2A   = <0,0,0>;  // Right Lower Leg
#declare BM_RF_Rot   = <0,0,0>;  // Right Foot

#declare BM_LL_H2K   = <0,0,10>;  // Left Thigh
#declare BM_LL_K2A   = <0,0,0>;  // Left Lower Leg
#declare BM_LF_Rot   = <0,0,0>;  // Left Foot

              
/****************************************************************
 Hand Settings
   Hand Rotation Vectors <X,Y,Z>
   <0,0,0> - fingers pointing down with thumbs foward.
*****************************************************************/
                                              // Right Hand
#declare BM_RFP_Pos    = <  5, 45,  5,   0>;  // Pinky Finger
#declare BM_RFR_Pos    = < 10, 30,  5,   0>;  // Ring Finger
#declare BM_RFM_Pos    = <  5, 15,  5,   0>;  // Middle Finger
#declare BM_RFI_Pos    = <  0, 10,  0,   0>;  // Index Finger
#declare BM_RFT_Pos    = <  0,-10,  5,  10>;  // Thumb
  
                                              // Left Hand
#declare BM_LFP_Pos    = <  5, 45,  5,   0>;  // Pinky Finger 
#declare BM_LFR_Pos    = < 10, 30,  5,   0>;  // Ring Finger  
#declare BM_LFM_Pos    = <  5, 15,  5,   0>;  // Middle Finger
#declare BM_LFI_Pos    = <  0, 10,  0,   0>;  // Index Finger 
#declare BM_LFT_Pos    = <  0,-10,  5,  10>;  // Thumb        

//#declare BMO_Torso_F    = <0,0,0>;





Blob_Man(Male,0.9)
object {BlobMan 
        rotate y*-90*clock
        transform BMO_Abdomen_F
        translate <0,0,-11>
}


/*      
      
// kasten beleuchtung     
light_source{ 
    <0,3,-12>
    <1,1,1>*4
    spotlight  
    radius 15
    falloff 20
    tightness 0
    point_at <0,0,-1>//bpos + <0,1,0>
}
 
// allgemein 
light_source{ 
    <0,2,-12>
    <1,1,1>*7
    spotlight  
    radius 25
    falloff 50
    tightness 0
    point_at <0,1,-4>//bpos + <0,1,0>
}
 
 

// zauberer beleuchtung
light_source{ 
    <0,2,-12>
    <1,1,1>*5
    spotlight  
    radius 10
    falloff 20
    tightness 0
    point_at <-2,1,-5>
}


// assistentin beleuchtung
light_source{ 
    <0,2,-12>
    <1,1,1>*5
    spotlight  
    radius 10
    falloff 20
    tightness 0
    point_at <+2,1,-5>
}




// boden
//plane{ <0,1,0>, 0
box{ 
    <-100, 0, 1> <100, -10, -8>
    pigment{
//        checker color Blue, color Red
        color <1,1,1>*0.1
        }
    }


// wand
plane{ <0,0,-1>, -0
    pigment{
//        checker color White, color Black
        color <1,1,1>*0.1
    }
}

*/

/*

// kasten
box{
    <-0.5, 0, -0.5>
    < 0.5, 2, 0.5>
    rotate y*30
    translate bpos+<0,0,-1>
    pigment{
        color Yellow
    }
    
}
*/
/*
// zauberer         
box{
    <-0.5, 0, -0.5>
    < 0.5, 1.8, 0.5>
    translate wpos
    pigment{
        color Red
    }
}               

// assistentin         
box{
    <-0.5, 0, -0.5>
    < 0.5, 1.8, 0.5>
    translate apos
    pigment{
        color Green
    }
}               

*/

               
